#ifndef _BITMAP_TOOLS_H
#define _BITMAP_TOOLS_H

#include <GraphicsDefs.h>

class BBitmap;

namespace BExperimental {

status_t mix_bitmaps(BBitmap* out,
					 const BBitmap* b1, const BBitmap* b2, uint8 amount);

status_t copy_bitmap(BBitmap* dest,
					 const BBitmap* src, BRect srcRect, BPoint destPnt);

status_t set_bitmap(BBitmap* dest, const BBitmap* src, bool dither=true);

};	// namespace BExperimental

using namespace BExperimental;

#endif
